Subject: Ticket Assigned - Good evening! I would like to know offers in Ibn Battuta last day please. I tried to call to 8006927...
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 12 Jul 2020 15:42:49 +0000

Hi Haedar Mohammad,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Good evening! I would like to know offers in Ibn Battuta last day please. I tried to call to 8006927... Good evening! I would like to know offers in Ibn Battuta last day please. I tried to call to 8006927 they are not helpful at all. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1298957